// 0xGG Team
// Distributed under AGPL3
//
// DESCRIPTION: This widget embeds Youtube video

(function (mod){ //[HyperMD] UMD patched!
  /*commonjs*/  ("object"==typeof exports&&"undefined"!=typeof module) ? mod(null, exports, require("../error/error")) :
  /*amd*/       ("function"==typeof define&&define.amd) ? define(["require","exports","../error/error"], mod) :
  /*plain env*/ mod(null, (this.HyperMD.WidgetYoutube = this.HyperMD.WidgetYoutube || {}), HyperMD.WidgetError);
})(function (require, exports, error_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function YoutubeWidget(attributes) {
        var id = "_widget_youtube_id_" + Math.round(1e9 * Math.random()).toString(36);
        var videoWrapper = document.createElement("div");
        videoWrapper.id = id;
        videoWrapper.style.position = "relative";
        videoWrapper.style.width = "100%";
        videoWrapper.style.height = "0";
        videoWrapper.style.paddingTop = "56.25%";
        var iframe = document.createElement("iframe");
        var v = attributes["v"];
        if (!v) {
            return error_1.ErrorWidget({ message: "Field 'v' is missing" });
        }
        iframe.src = "https://www.youtube.com/embed/" + v;
        iframe.setAttribute("frameborder", "0");
        iframe.setAttribute("allow", "encrypted-media");
        iframe.setAttribute("allowfullscreen", "true");
        iframe.style.position = "absolute";
        iframe.style.left = "0";
        iframe.style.top = "0";
        iframe.style.width = "100%";
        iframe.style.height = "100%";
        console.log("create youtube widget");
        videoWrapper.appendChild(iframe);
        return videoWrapper;
    }
    exports.YoutubeWidget = YoutubeWidget;
});
