import { HeadingData } from "./transform";
interface RenderMarkdownOutput {
    html: string;
    headings: HeadingData[];
    slideConfigs: object[];
}
/**
 * renderMarkdown
 * @param markdown
 */
declare function renderMarkdown(markdown: string): RenderMarkdownOutput;
/**
 * renderPreview
 * @param previewElement, which should be <div> element
 * @param markdown
 */
declare function renderPreview(previewElement: HTMLElement, markdown: string): void;
/**
 * Print as PDF
 * @param previewElement
 */
declare function printPDF(previewElement: any): void;
export { renderMarkdown, renderPreview, printPDF };
