// 0xGG Team
// Distributed under AGPL3
//
// DESCRIPTION: This widget embeds Bilibili video

(function (mod){ //[HyperMD] UMD patched!
  /*commonjs*/  ("object"==typeof exports&&"undefined"!=typeof module) ? mod(null, exports, require("../error/error")) :
  /*amd*/       ("function"==typeof define&&define.amd) ? define(["require","exports","../error/error"], mod) :
  /*plain env*/ mod(null, (this.HyperMD.WidgetBilibili = this.HyperMD.WidgetBilibili || {}), HyperMD.WidgetError);
})(function (require, exports, error_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function BilibiliWidget(attributes) {
        var id = "_widget_bilibili_id_" + Math.round(1e9 * Math.random()).toString(36);
        var videoWrapper = document.createElement("div");
        videoWrapper.id = id;
        videoWrapper.style.position = "relative";
        videoWrapper.style.width = "100%";
        videoWrapper.style.height = "0";
        videoWrapper.style.paddingTop = "56.25%";
        var iframe = document.createElement("iframe");
        var aid = attributes["aid"];
        if (!aid) {
            return error_1.ErrorWidget({ message: "Attribute `aid` is required" });
        }
        iframe.style.backgroundColor = "#ddd";
        iframe.src = "https://player.bilibili.com/player.html?aid=" + aid;
        iframe.scrolling = "no";
        iframe.frameBorder = "no";
        iframe.setAttribute("border", "0");
        iframe.setAttribute("framespacing", "0");
        iframe.setAttribute("allowfullscreen", "true");
        iframe.style.position = "absolute";
        iframe.style.left = "0";
        iframe.style.top = "0";
        iframe.style.width = "100%";
        iframe.style.height = "100%";
        videoWrapper.appendChild(iframe);
        return videoWrapper;
    }
    exports.BilibiliWidget = BilibiliWidget;
});
